@import '../../vars';

@mixin lineClamp {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  line-clamp: 1;
}

.listingCard {
  cursor: pointer;
  background: #ffffff;
  box-shadow: 0 4px 18px rgba(0, 0, 0, 0.07);
  border-radius: 10px;
  max-width: 450px;
  min-width: 200px;
  width: 100%;
  margin: auto;
  overflow: hidden;
  position: relative;
}

.listingLink {
  text-decoration: none;

  &:hover {
    text-decoration: none;
  }
}

.imgWrapper {
  position: relative;
  padding-bottom: 62.6667%; /* 3:2 Aspect Ratio */
}

.img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
}

.content {
  padding: 24px 19px 21px 19px;
}

.top {
  display: flex;
  flex-flow: column;
  margin-bottom: 10px;
}

.bottom {
  display: grid;
  grid-template-areas:
    'type type price price'
    'features features features rating';

  @media (min-width: $viewportSmall) {
    grid-template-areas:
      'type type price price'
      'features features features rating';
  }
}

.title {
  @include lineClamp;

  margin: 0;
  font-size: 18px;
  font-family: $fontBold;
  line-height: 22px;
  color: $marketplaceTextColor;

  @media (min-width: $viewportMedium) {
    font-size: 22px;
    line-height: 26px;
  }
}

.features {
  @include lineClamp;

  grid-area: features;
  height: 18px;
}

.location,
.features,
.rating {
  margin: 0;
  font-size: 12px;
  line-height: 14px;
  color: $marketplaceTextColor;

  @media (min-width: $viewportMedium) {
    font-size: 14px;
    line-height: 18px;
  }
}

.rating {
  grid-area: rating;
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
}

.rating svg {
  height: 15px;
  width: 15px;
}

.rating span {
  line-height: 14px;
  margin-top: 2px;
  margin-left: 4px;
}

.type,
.price {
  margin: 0;
  font-size: 14px;
  line-height: 20px;
  color: $marketplaceTextColor;

  @media (min-width: $viewportMedium) {
    font-size: 16px;
    line-height: 26px;
  }
}

.price,
.rating {
  text-align: right;
}

.type {
  grid-area: type;
}

.price {
  grid-area: price;
  margin-left: 5px;

  @media (min-width: $viewportSmall) {
    margin-left: 0;
  }
}

.favoriteButton {
  border: 0;
  position: absolute;
  z-index: 1;
  top: 14px;
  right: 11px;
  cursor: pointer;
  transition: transform $transitionStyle;

  &:hover {
    transform: scale(1.1);
  }
}

.badge {
  position: absolute;
  z-index: 2;
  top: 14px;
  left: 11px;
  padding: 5px 11px;
  border-radius: 20px;
  font-size: 12px;
  line-height: 18px;

  &.grey {
    background-color: #eeeeee;
    color: $marketplaceTextColor;
  }

  &.green {
    background-color: #eaf2ec;
    color: #74af84;
  }

  &.red {
    background-color: $attentionColorLight;
    color: #e8909c;
  }
}

.favoriteIcon {
  fill: #000000;
  stroke: #cccccc;
  fill-opacity: 0.4;
  transition: fill $transitionStyle, stroke $transitionStyle, fill-opacity $transitionStyle;

  &.active {
    fill: #ffffff;
    stroke: #ffffff;
    fill-opacity: 1;
  }
}
